diff options
author | Karel Kočí <cynerd@email.cz> | 2020-11-23 22:41:06 +0100 |
---|---|---|
committer | Karel Kočí <cynerd@email.cz> | 2020-11-23 22:41:06 +0100 |
commit | b147e764e6278f34f338de58cb2a51f3c54f42cd (patch) | |
tree | 8f2c50a895c81d2aee6dd6fe8dda118607120602 /local/bin | |
parent | 2cae2a1cdfe0083aa0d4ad86ee9f32248b193938 (diff) | |
download | myconfigs-b147e764e6278f34f338de58cb2a51f3c54f42cd.tar.gz myconfigs-b147e764e6278f34f338de58cb2a51f3c54f42cd.tar.bz2 myconfigs-b147e764e6278f34f338de58cb2a51f3c54f42cd.zip |
Switch away from mutt to notmuch
Diffstat (limited to 'local/bin')
-rwxr-xr-x | local/bin/allsync | 16 |
1 files changed, 13 insertions, 3 deletions
diff --git a/local/bin/allsync b/local/bin/allsync index 3943ab4..51d6bef 100755 --- a/local/bin/allsync +++ b/local/bin/allsync @@ -5,14 +5,24 @@ sec() { echo -e '\e[1;34m==========' "$@" '==========\e[0m' } +ecode=0 fail() { echo -e '\e[1;31m---' "$@" '---' "($?)" '\e[0m' + ecode=1 } sec "Mail" -mbsync -a -~/.local/sbin/newmail-notify || fail "Mail synchronization reported failure" +mbsync -a || fail "Mail synchronization reported failure" +notmuch new +~/.local/sbin/newmail-notify +notmuch tag --batch --input="$HOME/.notmuch-tag-new" sec "Calendar and contacts" -vdirsyncer sync || "Calendar and contacts synchronization reported failure" +vdirsyncer sync || fail "Calendar and contacts synchronization reported failure" + +sec "Passwords" +pass git pull || fail "Passwords pull failed" +pass git push || fail "Passwords push failed" + +exit $ecode |